OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class ManageNodesServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.nodeManagement.ManageNodesServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class ManageNodesServlet
extends javax.servlet.http.HttpServlet

A servlet that handles managing or unmanaging interfaces and services on a node

Author:
  Jason Johns , OpenNMS
See Also:
  Serialized Form

Field Summary
`private static java.lang.String` `DELETE_SERVICE_OUTAGES`
`static java.lang.String` `GAINED_INTERFACE_UEI`
`static java.lang.String` `GAINED_SERVICE_UEI`
`private static java.lang.String` `INCLUDE_FILE_NAME`
`private static java.lang.String` `NOTICE_COMMAND`
`static java.lang.String` `NOTICE_NAME`
`private static java.lang.String` `UPDATE_INTERFACE`
`private static java.lang.String` `UPDATE_SERVICE`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`ManageNodesServlet()`

Method Summary
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private java.util.List` `getList(java.lang.String[] array)`
`void` `init()`
`private void` `manageInterfaces(java.util.List interfaces, java.sql.Connection connection)`
`private void` `sendEvent(Event event)`
`private void` `sendSCMRestartEvent()`
`private void` `unmanageInterfaces(java.util.List interfaces, java.sql.Connection connection)`
`private void` `writeURLFile(java.util.List interfaceList)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UPDATE_INTERFACE

    private static final java.lang.String UPDATE_INTERFACE

See Also:
  Constant Field Values

### UPDATE_SERVICE

    private static final java.lang.String UPDATE_SERVICE

See Also:
  Constant Field Values

### DELETE_SERVICE_OUTAGES

    private static final java.lang.String DELETE_SERVICE_OUTAGES

See Also:
  Constant Field Values

### INCLUDE_FILE_NAME

    private static final java.lang.String INCLUDE_FILE_NAME

See Also:
  Constant Field Values

### GAINED_SERVICE_UEI

    public static final java.lang.String GAINED_SERVICE_UEI

See Also:
  Constant Field Values

### GAINED_INTERFACE_UEI

    public static final java.lang.String GAINED_INTERFACE_UEI

See Also:
  Constant Field Values

### NOTICE_NAME

    public static final java.lang.String NOTICE_NAME

See Also:
  Constant Field Values

### NOTICE_COMMAND

    private static final java.lang.String NOTICE_COMMAND

See Also:
  Constant Field Values

Constructor Detail

### ManageNodesServlet

    public ManageNodesServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### manageInterfaces

    private void manageInterfaces(java.util.List interfaces,
                                  java.sql.Connection connection)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### unmanageInterfaces

    private void unmanageInterfaces(java.util.List interfaces,
                                    java.sql.Connection connection)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### sendSCMRestartEvent

    private void sendSCMRestartEvent()
                              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### writeURLFile

    private void writeURLFile(java.util.List interfaceList)
                       throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getList

    private java.util.List getList(java.lang.String[] array)

### sendEvent

    private void sendEvent(Event event)
                    throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.